"""Fix structure

Revision ID: bb71cd81fedb
Revises: 87a06eaadd34
Create Date: 2021-01-02 07:15:08.612253

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'bb71cd81fedb'
down_revision = '87a06eaadd34'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('cases', 'aor_name',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'appear_on_behalf_of',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'brief_description',
               existing_type=sa.VARCHAR(length=10000),
               type_=sa.Unicode(length=255),
               nullable=False)
    op.alter_column('cases', 'bunch_cases',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'case_connected_with',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'contact_detail',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'court_case_number',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'date_of_impugned_judgement',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    op.alter_column('cases', 'department_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('cases', 'docket_number',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'filing_date',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    op.alter_column('cases', 'limitation_date',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    op.alter_column('cases', 'lower_court_case_number',
               existing_type=sa.VARCHAR(length=2000),
               type_=sa.Unicode(length=255),
               nullable=False)
    op.alter_column('cases', 'nature_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('cases', 'office_file_number',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'office_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('cases', 'office_status_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('cases', 'opposing_council_aor',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'opposing_council_detail',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'question_of_law',
               existing_type=sa.VARCHAR(length=4000),
               type_=sa.Unicode(length=255),
               nullable=False)
    op.alter_column('cases', 'receipt_date',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    op.alter_column('cases', 'remarks',
               existing_type=sa.VARCHAR(length=10000),
               type_=sa.Unicode(length=255),
               nullable=False)
    op.alter_column('cases', 'slp_counter',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('cases', 'title',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.create_unique_constraint(op.f('uq_cases_aor_name'), 'cases', ['aor_name'])
    op.create_unique_constraint(op.f('uq_cases_appear_on_behalf_of'), 'cases', ['appear_on_behalf_of'])
    op.create_unique_constraint(op.f('uq_cases_brief_description'), 'cases', ['brief_description'])
    op.create_unique_constraint(op.f('uq_cases_case_connected_with'), 'cases', ['case_connected_with'])
    op.create_unique_constraint(op.f('uq_cases_contact_detail'), 'cases', ['contact_detail'])
    op.create_unique_constraint(op.f('uq_cases_court_case_number'), 'cases', ['court_case_number'])
    op.create_unique_constraint(op.f('uq_cases_docket_number'), 'cases', ['docket_number'])
    op.create_unique_constraint(op.f('uq_cases_lower_court_case_number'), 'cases', ['lower_court_case_number'])
    op.create_unique_constraint(op.f('uq_cases_office_file_number'), 'cases', ['office_file_number'])
    op.create_unique_constraint(op.f('uq_cases_opposing_council_aor'), 'cases', ['opposing_council_aor'])
    op.create_unique_constraint(op.f('uq_cases_question_of_law'), 'cases', ['question_of_law'])
    op.create_unique_constraint(op.f('uq_cases_remarks'), 'cases', ['remarks'])
    op.create_unique_constraint(op.f('uq_cases_slp_counter'), 'cases', ['slp_counter'])
    op.create_unique_constraint(op.f('uq_cases_title'), 'cases', ['title'])
    op.create_unique_constraint(op.f('uq_cases_year'), 'cases', ['year'])
    op.alter_column('contact_persons', 'department_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('contacts', 'office_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    op.alter_column('hearings', 'brief',
               existing_type=sa.VARCHAR(length=2000),
               type_=sa.Unicode(length=255),
               nullable=False)
    op.alter_column('hearings', 'court_number',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('hearings', 'item_number',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('hearings', 'judges',
               existing_type=sa.VARCHAR(length=255),
               nullable=False)
    op.alter_column('hearings', 'next_hearing_date',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    op.create_unique_constraint(op.f('uq_hearings_brief'), 'hearings', ['brief'])
    op.create_unique_constraint(op.f('uq_hearings_court_number'), 'hearings', ['court_number'])
    op.create_unique_constraint(op.f('uq_hearings_item_number'), 'hearings', ['item_number'])
    op.create_unique_constraint(op.f('uq_hearings_judges'), 'hearings', ['judges'])
    op.alter_column('offices', 'department_id',
               existing_type=postgresql.UUID(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    pass