import random
import string
import uuid

from datetime import datetime
from hashlib import md5

from sqlalchemy import Boolean, Column, DateTime, Unicode, UniqueConstraint, desc, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import Session, relationship, synonym
from sqlalchemy.schema import ForeignKey, Table

from .meta import Base
from .role_permission import role_permissions


class Permission(Base):
    __tablename__ = "permissions"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), unique=True)

    roles = relationship("Role", secondary=role_permissions, backref="permissions")

    def __init__(self, name=None, id_=None):
        self.name = name
        self.id = id_
