import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Case } from '../../core/case';

import { CaseListDataSource } from './case-list-datasource';

@Component({
  selector: 'app-case-list',
  templateUrl: './case-list.component.html',
  styleUrls: ['./case-list.component.css'],
})
export class CaseListComponent implements OnInit {
  list: Case[] = [];
  dataSource: CaseListDataSource = new CaseListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Case[] };
      this.list = data.list;
    });
    this.dataSource = new CaseListDataSource(this.list);
  }
}
