import { Act } from './act';
import { CaseType } from './case-type';
import { Court } from './court';
import { CourtStatus } from './court-status';
import { Department } from './department';
import { Nature } from './nature';
import { Office } from './office';
import { OfficeStatus } from './office-status';

export class Case {
  id: string | undefined;
  officeFileNumber: string;
  courtCaseNumber: string;
  year: string;
  title: string;
  docketNumber: string;
  receiptDate: string;
  limitationDate: string;
  filingDate: string;
  appearOnBehalfOf: string;
  questionOfLaw: string;
  aorName: string;
  opposingCouncilAor: string;
  opposingCouncilDetail: string;
  lowerCourtCaseNumber: string;
  dateOfImpugnedJudgement: string;
  briefDescription: string;
  remarks: string;
  slpCounter: string;
  contactDetail: string;
  caseConnectedWith: string;
  bunchCases: string;
  court?: Court;
  department?: Department;
  office?: Office;
  caseType?: CaseType;
  act?: Act;
  nature?: Nature;
  officeStatus?: OfficeStatus;
  courtStatus?: CourtStatus;

  public constructor(init?: Partial<Case>) {
    this.id = undefined;
    this.officeFileNumber = '';
    this.courtCaseNumber = '';
    this.year = '';
    this.title = '';
    this.docketNumber = '';
    this.receiptDate = '';
    this.limitationDate = '';
    this.filingDate = '';
    this.appearOnBehalfOf = '';
    this.questionOfLaw = '';
    this.aorName = '';
    this.opposingCouncilAor = '';
    this.opposingCouncilDetail = '';
    this.lowerCourtCaseNumber = '';
    this.dateOfImpugnedJudgement = '';
    this.briefDescription = '';
    this.remarks = '';
    this.slpCounter = '';
    this.contactDetail = '';
    this.caseConnectedWith = '';
    this.bunchCases = '';
    Object.assign(this, init);
  }
}
